<?php
require_once(getabspath("classes/cipherer.php"));
$tdatainf_cobros_tipo = array();
	$tdatainf_cobros_tipo[".NumberOfChars"] = 80; 
	$tdatainf_cobros_tipo[".ShortName"] = "inf_cobros_tipo";
	$tdatainf_cobros_tipo[".OwnerID"] = "";
	$tdatainf_cobros_tipo[".OriginalTable"] = "cobro";

//	field labels
$fieldLabelsinf_cobros_tipo = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsinf_cobros_tipo["Spanish"] = array();
	$fieldToolTipsinf_cobros_tipo["Spanish"] = array();
	$fieldLabelsinf_cobros_tipo["Spanish"]["idcobro"] = "Nº cobro";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["idcobro"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["fecha"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["idmovimiento"] = "Movimiento";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["idmovimiento"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["idventa"] = "Venta";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["idventa"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["idcuenta"] = "Cuenta";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["idcuenta"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["idtipo_cuenta"] = "Forma Cobro";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["idtipo_cuenta"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["nro_comprobante"] = "Nº Comprobante";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["nro_comprobante"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["anulado"] = "Anulado";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["anulado"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"][""] = "";
	$fieldToolTipsinf_cobros_tipo["Spanish"][""] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"][""] = "";
	$fieldToolTipsinf_cobros_tipo["Spanish"][""] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"]["importe_cobro"] = "Importe Cobro";
	$fieldToolTipsinf_cobros_tipo["Spanish"]["importe_cobro"] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"][""] = "";
	$fieldToolTipsinf_cobros_tipo["Spanish"][""] = "";
	$fieldLabelsinf_cobros_tipo["Spanish"][""] = "";
	$fieldToolTipsinf_cobros_tipo["Spanish"][""] = "";
	if (count($fieldToolTipsinf_cobros_tipo["Spanish"]))
		$tdatainf_cobros_tipo[".isUseToolTips"] = true;
}
	
	
	$tdatainf_cobros_tipo[".NCSearch"] = true;



$tdatainf_cobros_tipo[".shortTableName"] = "inf_cobros_tipo";
$tdatainf_cobros_tipo[".nSecOptions"] = 0;
$tdatainf_cobros_tipo[".recsPerRowList"] = 1;
$tdatainf_cobros_tipo[".mainTableOwnerID"] = "";
$tdatainf_cobros_tipo[".moveNext"] = 1;
$tdatainf_cobros_tipo[".nType"] = 1;

$tdatainf_cobros_tipo[".strOriginalTableName"] = "cobro";




$tdatainf_cobros_tipo[".showAddInPopup"] = false;

$tdatainf_cobros_tipo[".showEditInPopup"] = false;

$tdatainf_cobros_tipo[".showViewInPopup"] = false;

$tdatainf_cobros_tipo[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatainf_cobros_tipo[".listAjax"] = true;
else 
	$tdatainf_cobros_tipo[".listAjax"] = false;

	$tdatainf_cobros_tipo[".audit"] = false;

	$tdatainf_cobros_tipo[".locking"] = false;





$tdatainf_cobros_tipo[".showSimpleSearchOptions"] = false;

$tdatainf_cobros_tipo[".showSearchPanel"] = true;

if (isMobile())
	$tdatainf_cobros_tipo[".isUseAjaxSuggest"] = false;
else 
	$tdatainf_cobros_tipo[".isUseAjaxSuggest"] = true;

$tdatainf_cobros_tipo[".rowHighlite"] = true;

// button handlers file names

$tdatainf_cobros_tipo[".addPageEvents"] = true;

// use timepicker for search panel
$tdatainf_cobros_tipo[".isUseTimeForSearch"] = false;




$tdatainf_cobros_tipo[".allSearchFields"] = array();

$tdatainf_cobros_tipo[".allSearchFields"][] = "idcobro";
$tdatainf_cobros_tipo[".allSearchFields"][] = "idventa";
$tdatainf_cobros_tipo[".allSearchFields"][] = "idmovimiento";
$tdatainf_cobros_tipo[".allSearchFields"][] = "fecha";
$tdatainf_cobros_tipo[".allSearchFields"][] = "idcuenta";
$tdatainf_cobros_tipo[".allSearchFields"][] = "idtipo_cuenta";
$tdatainf_cobros_tipo[".allSearchFields"][] = "importe_cobro";
$tdatainf_cobros_tipo[".allSearchFields"][] = "nro_comprobante";

$tdatainf_cobros_tipo[".googleLikeFields"][] = "idcobro";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "fecha";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "idmovimiento";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "idventa";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "idcuenta";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "idtipo_cuenta";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "importe_cobro";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "nro_comprobante";
$tdatainf_cobros_tipo[".googleLikeFields"][] = "anulado";


$tdatainf_cobros_tipo[".advSearchFields"][] = "idcobro";
$tdatainf_cobros_tipo[".advSearchFields"][] = "idventa";
$tdatainf_cobros_tipo[".advSearchFields"][] = "idmovimiento";
$tdatainf_cobros_tipo[".advSearchFields"][] = "fecha";
$tdatainf_cobros_tipo[".advSearchFields"][] = "idcuenta";
$tdatainf_cobros_tipo[".advSearchFields"][] = "idtipo_cuenta";
$tdatainf_cobros_tipo[".advSearchFields"][] = "importe_cobro";
$tdatainf_cobros_tipo[".advSearchFields"][] = "nro_comprobante";

$tdatainf_cobros_tipo[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatainf_cobros_tipo[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatainf_cobros_tipo[".strOrderBy"] = $tstrOrderBy;

$tdatainf_cobros_tipo[".orderindexes"] = array();

$tdatainf_cobros_tipo[".sqlHead"] = "SELECT idcobro,   fecha,   idmovimiento,   idventa,   idcuenta,   idtipo_cuenta,   importe_cobro,   nro_comprobante,   anulado";
$tdatainf_cobros_tipo[".sqlFrom"] = "FROM cobro";
$tdatainf_cobros_tipo[".sqlWhereExpr"] = "";
$tdatainf_cobros_tipo[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatainf_cobros_tipo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatainf_cobros_tipo[".arrGroupsPerPage"] = $arrGPP;

$tableKeysinf_cobros_tipo = array();
$tableKeysinf_cobros_tipo[] = "idcobro";
$tdatainf_cobros_tipo[".Keys"] = $tableKeysinf_cobros_tipo;

$tdatainf_cobros_tipo[".listFields"] = array();

$tdatainf_cobros_tipo[".viewFields"] = array();

$tdatainf_cobros_tipo[".addFields"] = array();

$tdatainf_cobros_tipo[".inlineAddFields"] = array();

$tdatainf_cobros_tipo[".editFields"] = array();

$tdatainf_cobros_tipo[".inlineEditFields"] = array();

$tdatainf_cobros_tipo[".exportFields"] = array();

$tdatainf_cobros_tipo[".printFields"] = array();

//	idcobro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idcobro";
	$fdata["GoodName"] = "idcobro";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Nº cobro"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idcobro"; 
		$fdata["FullName"] = "idcobro";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["idcobro"] = $fdata;
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Fecha"; 
	$fdata["FieldType"] = 7;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "fecha"; 
		$fdata["FullName"] = "fecha";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["fecha"] = $fdata;
//	idmovimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idmovimiento";
	$fdata["GoodName"] = "idmovimiento";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Movimiento"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idmovimiento"; 
		$fdata["FullName"] = "idmovimiento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Readonly");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		$edata["inputStyle"] = " width:80px;";
	$edata["controlWidth"] = 80;
	
//	Begin validation
	$edata["validateAs"] = array();
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["idmovimiento"] = $fdata;
//	idventa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "idventa";
	$fdata["GoodName"] = "idventa";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Venta"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idventa"; 
		$fdata["FullName"] = "idventa";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idventa";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "idventa";
	
		
	$edata["LookupTable"] = "venta";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["idventa"] = $fdata;
//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Cuenta"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "cuentas_abiertas";
	$edata["LookupOrderBy"] = "";
	
		
		$edata["LookupWhere"] = "nick = '" . $_SESSION["UserName"]."'";
	
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["idcuenta"] = $fdata;
//	idtipo_cuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "idtipo_cuenta";
	$fdata["GoodName"] = "idtipo_cuenta";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Forma Cobro"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idtipo_cuenta"; 
		$fdata["FullName"] = "idtipo_cuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idtipo_cuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";
	
		
	$edata["LookupTable"] = "tipo_cuenta";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["idtipo_cuenta"] = $fdata;
//	importe_cobro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "importe_cobro";
	$fdata["GoodName"] = "importe_cobro";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Importe Cobro"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "importe_cobro"; 
		$fdata["FullName"] = "importe_cobro";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["importe_cobro"] = $fdata;
//	nro_comprobante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "nro_comprobante";
	$fdata["GoodName"] = "nro_comprobante";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Nº Comprobante"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nro_comprobante"; 
		$fdata["FullName"] = "nro_comprobante";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["nro_comprobante"] = $fdata;
//	anulado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "anulado";
	$fdata["GoodName"] = "anulado";
	$fdata["ownerTable"] = "cobro";
	$fdata["Label"] = "Anulado"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "anulado"; 
		$fdata["FullName"] = "anulado";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=2";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_cobros_tipo["anulado"] = $fdata;

	
$tables_data["inf_cobros_tipo"]=&$tdatainf_cobros_tipo;
$field_labels["inf_cobros_tipo"] = &$fieldLabelsinf_cobros_tipo;
$fieldToolTips["inf_cobros_tipo"] = &$fieldToolTipsinf_cobros_tipo;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["inf_cobros_tipo"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["inf_cobros_tipo"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_inf_cobros_tipo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idcobro,   fecha,   idmovimiento,   idventa,   idcuenta,   idtipo_cuenta,   importe_cobro,   nro_comprobante,   anulado";
$proto0["m_strFrom"] = "FROM cobro";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idcobro",
	"m_strTable" => "cobro"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "cobro"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idmovimiento",
	"m_strTable" => "cobro"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "idventa",
	"m_strTable" => "cobro"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "cobro"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "idtipo_cuenta",
	"m_strTable" => "cobro"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "importe_cobro",
	"m_strTable" => "cobro"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_comprobante",
	"m_strTable" => "cobro"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "anulado",
	"m_strTable" => "cobro"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "cobro";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "idcobro";
$proto24["m_columns"][] = "fecha";
$proto24["m_columns"][] = "idmovimiento";
$proto24["m_columns"][] = "idventa";
$proto24["m_columns"][] = "idcuenta";
$proto24["m_columns"][] = "idtipo_cuenta";
$proto24["m_columns"][] = "importe_cobro";
$proto24["m_columns"][] = "nro_comprobante";
$proto24["m_columns"][] = "anulado";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_alias"] = "";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = "0";
$proto25["m_inBrackets"] = "0";
$proto25["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_inf_cobros_tipo = createSqlQuery_inf_cobros_tipo();
									$tdatainf_cobros_tipo[".sqlquery"] = $queryData_inf_cobros_tipo;
	
if(isset($tdatainf_cobros_tipo["field2"])){
	$tdatainf_cobros_tipo["field2"]["LookupTable"] = "carscars_view";
	$tdatainf_cobros_tipo["field2"]["LookupOrderBy"] = "name";
	$tdatainf_cobros_tipo["field2"]["LookupType"] = 4;
	$tdatainf_cobros_tipo["field2"]["LinkField"] = "email";
	$tdatainf_cobros_tipo["field2"]["DisplayField"] = "name";
	$tdatainf_cobros_tipo[".hasCustomViewField"] = true;
}

include_once(getabspath("include/inf_cobros_tipo_events.php"));
$tableEvents["inf_cobros_tipo"] = new eventclass_inf_cobros_tipo;
$tdatainf_cobros_tipo[".hasEvents"] = true;

$cipherer = new RunnerCipherer("inf_cobros_tipo");

?>